define([
	'jquery',
	'mage/translate'
	], function ($, $t) {		
		return function(config, element) {

			$(element).click(function() {
				$(config.targetSelector).slideToggle();
				
				var text = $(this).hasClass('toggle-active') ? $t('mehr lesen') : $t('weniger');
				$(this).text(text);
				
				$(this).toggleClass('toggle-active');
			});
		};
	}
);